%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	XML-Writer

Distribution:	CCux
Packager:	Stefan Gottwald <sg3881@web.de>

Summary:	XML Writer Perl Module
Name:		perl-%{perlname}
Version:	0.603
Release:	1
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=XML+Writer
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
XML Writer Perl Module

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes TODO
%_libdir
%_mandir

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.603-1
- Version Update
* Tue Oct 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.601-1
- Version update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.510-5
- Rebuild against perl-5.8.8
* Mon Dec 05 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.510-4
- Rebuild against perl-5.8.7
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.510-3
- Fixed minor Bug
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.510-2
- Tweaked Spec file, added new Summary, URL
* Sat Mar 26 2005 Stefan Gottwald <sg3881@web.de> 0.510-1
- Initial Build
